petsc-3.7.1 2016-05-15
Report Typos and Errors

# MatPartitioningPartySetLocal

Set local method for Party partitioner.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatPartitioningPartySetLocal(MatPartitioning part,const char *local)

Collective on MatPartitioning Many br

### Input Parameters

| part | - the partitioning context Many br
| method | - a string representing the method Many br

### Options Database

-mat_partitioning_party_local <method> -the local method Many br

Many br

### Notes

The method may be one of MP_PARTY_HELPFUL_SETS, MP_PARTY_KERNIGHAN_LIN, or Many brMP_PARTY_NONE. Check the Party Library Users Manual for details. Many br

### See Also

MatPartitioningPartySetGlobal()

Level:advanced
Location:src/mat/partition/impls/party/party.c
Index of all MatOrderings routines
Table of Contents for all manual pages
Index of all manual pages